<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');

/*
|--------------------------------------------------------------------------
| Debug settings
|--------------------------------------------------------------------------
|
*/
$config['enable_profiler'] = FALSE;
$config['use_pretty_json'] = FALSE;

/*
|--------------------------------------------------------------------------
| Web Server Permission settings
|--------------------------------------------------------------------------
|
*/
$config['web_server_uid'] = ADMIN_UID;
$config['web_server_gid'] = ADMIN_GID;

/*
|--------------------------------------------------------------------------
| Database settings
|--------------------------------------------------------------------------
|
*/
$config['db_active_group'] = 'mysqli';
$config['db_database'] = 'as_photo_gallery';
$config['db_username'] = 'as_photo_gallery';
$config['db_password'] = '865630ac841259bd1960c85ee70c6900';
$config['db_root_username'] = 'root';
$config['db_root_password'] = 'admin';
$config['db_prefix'] = '';
$config['db_backup_prefix'] = 'bak@';
$config['db_debug'] = FALSE;

/*
|--------------------------------------------------------------------------
| Database tables
|--------------------------------------------------------------------------
|
*/
$config['db_tables'] = array(
    'album'         => $config['db_prefix'] . 'albums',
    'photo'         => $config['db_prefix'] . 'photos',
    'tag'           => $config['db_prefix'] . 'tags',
    'person'        => $config['db_prefix'] . 'persons',
    'photo_tag'     => $config['db_prefix'] . 'photo_tags',
    'photo_person'  => $config['db_prefix'] . 'photo_persons',
    'photo_comment' => $config['db_prefix'] . 'photo_comments',
    'album_user'    => $config['db_prefix'] . 'album_users',
    'smart_album'   => $config['db_prefix'] . 'smart_albums',
    'share_link'    => $config['db_prefix'] . 'share_links',
    'setting'       => $config['db_prefix'] . 'settings',
    'photos_pool'   => $config['db_prefix'] . 'photos_pool'
);

/*
|--------------------------------------------------------------------------
| Database enum defines
|--------------------------------------------------------------------------
|
*/
$config['album_access']    = array('Public', 'Password', 'Private');
$config['display_mode']    = array('Wall', 'Fixed');
$config['photo_order']     = array('UploadTime', 'PhotoTime', 'Name');
$config['user_privilege']  = array('Deny', 'Browse', 'Upload', 'Admin');
$config['filter_cond']     = array('Any', 'All');
//$config['album_type']      = array('Album', 'SmartAlbum');
$config['share_type']      = array('Album', 'Photo', 'SmartAlbum');
$config['status_type']     = array('Idle', 'Resize', 'Rotote');

/*
|--------------------------------------------------------------------------
| Image defines
|--------------------------------------------------------------------------
|
*/
$config['supported_image_raster'] = array('bmp', 'ico', 'gif', 'jpe', 'jpeg', 'jpg', 'png', 'tif', 'tiff');
$config['supported_image_other'] = array('bmp');
$config['supported_image_raw'] = array('arw', 'cr2', 'crw', 'dcr', 'erf', 'k25', 'kdc', 'mef', 'mono', 'mrw', 'nef', 'nrw', 'orf', 'pef', 'ppm', 'raf',
                                         'rw2', 'sr2', 'srf','mos','3fr','raw','x3f','tiff','tif','dng','bmp','srw');
$config['supported_image_vector'] = array();
$config['supported_image_compound'] = array();
$config['supported_image_ext'] = array('gif', 'jpe', 'jpeg', 'jpg', 'png');
$config['supported_video_ext'] = array('avi','mp4','ogg','webm','flv','mov','wmv','m4a','mkv','3gp','ogv','asf','rmvb','mpg','vob','divx','m2ts','m2t','mts','m4v','asf','ts','m2v','mpeg');
//$config['supported_image_ext'] = array_merge($config['supported_image_raster'], $config['supported_image_raw'], $config['supported_image_vector']);
$config['supported_mimes'] = array('image/gif', 'image/jpeg', 'image/png','video/avi','video/mp4','video/ogg','video/webm','video/x-flv','video/quicktime',
                                        'video/x-ms-wmv','audio/mp4','video/mkv','audio/m4a','audio/x-m4a','video/3gpp','application/ogg','video/x-ms-asf',
                                        'video/x-matroska','video/divx','video/x-mpeg','application/vnd.rn-realmedia-vbr', 'video/real', 'video/realmedia',
                                        'video/rmvb','image/bmp','image/x-windows-bmp','image/x-canon-cr2','image/x-epson-erf','image/tiff','image/x-dcraw',
                                        'image/x-fuji-raf','image/x-kodak-dcr','image/x-kodak-kdc','image/x-nikon-nef','image/x-nikon-nrw','image/x-sony-raw',
                                        'image/arw','image/raw','image/sr2','video/mpeg','video/mpeg','application/octet-stream','image/x-olympus-orf','image/x-minolta-mrw',
                                        'image/x-raw','image/x-portable-pixmap','image/x-portable-anymap','image/x-raw-hasselblad','image/medical_raw','image/x-leica-raw',
                                        'audio/raw','image/x-mef','image/x-mamiya-mef','image/x-panasonic-rw2','image/x-panasonic-raw','pentax-pef-raw','image/x-pef',
                                        'image/x3f', 'image/x-sigma-x3f','video/dvd', 'video/mpeg','video/x-divx','video/vnd.dlna.mpeg-tts','video/avchd-stream','video/m2ts',
                                        'video/mp2t','video/mts','application/metastream','fga_auto_fil', 'video/m4v', 'video/mpeg4', 'video/x-m4v',
                                        'application/x-transportstream','video/ts','video/m2v','image/3fr','image/x-hasselblad-raw','image/pbm', 'image/ppm', 'image/mrw',
                                        'image/adoberawdng', 'image/dng', 'image/x-adobe-dng', 'image/mos', 'image/nids-mosaic', 'application/grafixview', 
                                        'image/ecopy', 'image/intercap_cgm', 'image/medical_tif', 'image/tif', 'image/x-tif', 'image/bitmap', 'image/x-bmp', 'image/x-ms-bmp','image/x-samsung-srw');
$config['rotate_degrees'] = array('90', '180', '270', 'hor', 'vrt');
$config['exif_orientation'] = array(
    EO_1_NORMAL,
    EO_2_FLIP_HOR,
    EO_3_ROT_180,
    EO_4_FLIP_VRT,
    EO_5_ROT_90_CCW_FLIP_VRT,
    EO_6_ROT_90_CCW,
    EO_7_ROT_90_CW_FLIP_VRT,
    EO_8_ROT_90_CW
);
$config['thumbnail'] = array(
    'XL' => array('short' => 1080, 'maintain_ratio' => TRUE),   // min($width, $height) = 1080px
    'L'  => array('short' => 720,  'maintain_ratio' => TRUE),   // min($width, $height) = 720px
    'M'  => array('short' => 256,  'maintain_ratio' => TRUE),   // min($width, $height) = 256px
    'S'  => array('short' => 128,   'maintain_ratio' => FALSE)   // $width = $height = 64px (crop)
);

$config['preview_img_size'] = array(
    'width'  => 200,
    'height' => 200
);

$config['allowed_types'] = 'gif|jpeg|jpg|png|avi|mp4|ogg|flv|3gp|mov|wmv|m4a|webm|mkv|ogv|rmvb|bmp|cr2|erf|crw|raf|dcr|kdc|nef|nrw|arw|sr2|mpg|orf|mrw|mos|ppm|3fr|raw|mef|rw2|pef|x3f|tiff|vob|divx|m2t|m2ts|mts|m4v|asf|ts|m2v|tif|dng|srw';

/*
|--------------------------------------------------------------------------
| Image Url defines
|--------------------------------------------------------------------------
|
*/

$config['image_not_found'] = '/pg2/img/bg/bg-cover-none.png';
$config['image_password']  = '/pg2/img/bg/bg-cover-password.png';
$config['image_broken']    = '/pg2/img/bg/bg-cover-error.png';
$config['image_resize']    = '/pg2/img/bg/bg-resize.gif';
$config['image_share']     = '/pg2/img/icon.png';

/*
|--------------------------------------------------------------------------
| Path defines
|--------------------------------------------------------------------------
|
*/
$config['share_folder']  = 'PhotoGallery';
$config['pid_folder']    = '/var/run';
$config['document_root'] = '/volume1/Web/photo-gallery';
$config['photo_base']    = '/volume1/' . $config['share_folder'];
$config['upload_folder'] = APPPATH . 'upload';
$config['cache_folder']  = $config['photo_base'] . DIRECTORY_SEPARATOR . '.@as_cache';
$config['thumbs_path']   = $config['cache_folder'] . DIRECTORY_SEPARATOR . 'thumbs';
$config['sys_cache_dir'] = '/volume1/.@cache_img';
$config['recycle_folder']  = $config['photo_base'] . DIRECTORY_SEPARATOR . '#Recycle';

/*
|--------------------------------------------------------------------------
| NAS config files
|--------------------------------------------------------------------------
|
*/
$config['app_config_file'] = '/usr/local/AppCentral/photo-gallery/CONTROL/config.json';
$config['nas_Config_file'] = "/etc/nas.conf";
$config['usr_config_file'] = '/usr/etc/myprofile.conf';
$config['etc_passwd_file'] = '/etc/passwd';
$config['cid_config_file'] = '/usr/builtin/etc/acloudid.conf';

/*
|--------------------------------------------------------------------------
| ADM CGI path
|--------------------------------------------------------------------------
|
*/
$config['adm_cgi_login']         = '/portal/apis/login.cgi';
$config['adm_cgi_user']          = '/portal/apis/accessControl/user.cgi';
$config['adm_cgi_group']         = '/portal/apis/accessControl/group.cgi';
$config['adm_cgi_app_login']     = '/portal/apis/appCentral/applogin.cgi';
$config['adm_cgi_app_privilege'] = '/portal/apis/appCentral/privilege.cgi';
$config['adm_cgi_file_explorer'] = '/portal/apis/fileExplorer/fileExplorer.cgi';
$config['adm_cgi_fe_download']   = '/portal/apis/fileExplorer/download.cgi';
$config['adm_cgi_sys_info']      = '/portal/apis/information/sysinfo.cgi';
$config['adm_cgi_cloud_id']      = '/portal/apis/settings/cloudid.cgi';
$config['adm_cgi_ddns']          = '/portal/apis/settings/ddns.cgi';
$config['adm_cgi_mysql']         = '/portal/apis/services/mysql.cgi';

/*
|--------------------------------------------------------------------------
| API url
|--------------------------------------------------------------------------
|
*/
$config['apns_api_url'] = 'http://apns.asustor.com/api/sendMessage.php';

/*
|--------------------------------------------------------------------------
| ADM CGI error: Common
|--------------------------------------------------------------------------
|
*/
$config['cgi_errno']['common']['session_timeout'] = 50000;

/* End of file photo_gallery.php */
/* Location: ./application/config/photo_gallery.php */