<!DOCTYPE html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=Edge" />
<?php if (ENVIRONMENT == 'development'): ?>
    <script type="text/javascript" src="jslibs/ext-4.2.2/ext-all-debug.js"></script>
<?php else: ?>
    <script type="text/javascript" src="jslibs/ext-4.2.2/ext-all.js"></script>
<?php endif ?>
    <link rel="shortcut icon" type="image/x-icon" href="jslibs/asustor/resources/images/icons/favicon.ico"/>
    <link rel="stylesheet" type="text/css" href="jslibs/asustor/resources/css/pg-init.css">
    <title>Photo Gallery</title>
    <script type="text/javascript">
        function enableMySQL() {
            document.getElementById('loadingIcon').style.display = 'block';
            document.getElementById('EnableBtn').style.display = 'none';
            document.getElementById('EnableBtnDis').style.display = 'inline';
            Ext.Ajax.request({
                url : '/photo-gallery/api/admin/activate_mysql',
                method : 'post',
                success : function(response, options) {
                    var o = Ext.JSON.decode(response.responseText);
                    if (!o.success)
                        enableFail("Enable failed. This may result from insufficient authority to Photo Gallery MySQL user.");
                    else
                        window.location.reload();
                },
                failure : function() {
                    enableFail("Unknown Error");
                }
            });
        }

        function enableFail(message) {
            document.getElementById('loadingIcon').style.display = 'none';
            document.getElementById('EnableBtn').style.display = 'inline';
            document.getElementById('EnableBtnDis').style.display = 'none';
            document.getElementById('errorMessageBox').innerHTML = message;
        }

        function applyPass() {
            document.getElementById('loadingIcon').style.display = 'block';
            document.getElementById('ApplyBtn').style.display = 'none';
            document.getElementById('ApplyBtnDis').style.display = 'inline';
            document.getElementById('errorMessageBox').innerHTML = '';
            var pass = document.getElementById('password').value;

            Ext.Ajax.request({
                url : '/photo-gallery/api/admin/create_pg_user',
                method : 'post',
                params : {
                    password : pass
                },
                success : function(response, options) {
                    var o = Ext.JSON.decode(response.responseText);
                    if (!o.success)
                        loginFail("Password Incorrect");
                    else
                        window.location.reload();
                },
                failure : function() {
                    loginFail("Unknown Error");
                }
            });
        }

        function loginFail(message) {
            document.getElementById('loadingIcon').style.display = 'none';
            document.getElementById('ApplyBtn').style.display = 'inline';
            document.getElementById('ApplyBtnDis').style.display = 'none';
            document.getElementById('errorMessageBox').innerHTML = message;
        }
    </script>
    <style type="text/css">
    </style>
</head>

<body id="error-page">

    <div  class="headerOuter" >
        <div class="headerInner" >
            <img src="jslibs/asustor/resources/images/logo.png?_dc=0.10.0-20131113">
        </div>
    </div>

    <div class="content">
<?php if ($act == 'no_running'): ?>
        <p>
            You will need to enable MySQL in order to use Photo Gallery. You can enable MySQL service by clicking on the button below.
        </p>
        <p>
            <a id="EnableBtn" onclick="enableMySQL()" class="button">Enable</a>
            <a id="EnableBtnDis" style="display:none;" disabled class="button disabled">Enable</a>
            <br/>
            <img id="loadingIcon" src="jslibs/asustor/resources/images/default-loading.gif">
            <div id="errorMessageBox"></div>
        </p>
<?php elseif ($act == 'access_denied'): ?>
        <p>
            Please provide the root account password for the MySQL server in order to use Photo Gallery. (If you do not know the password, please contact the NAS administrator)
        </p>
        <p>
            <h1>Password:</h1>
            <input style="margin-left:20px;" id="password" type="password" size="25"  name="password" />
        </p>
        <p>
            <a id="ApplyBtn" onclick="applyPass()" class="button">Apply</a>
            <a id="ApplyBtnDis" style="display:none;" disabled class="button disabled">Apply</a>
            <br/>
            <img id="loadingIcon" src="jslibs/asustor/resources/images/default-loading.gif">
            <div id="errorMessageBox"></div>
        </p>
<?php elseif ($act == 'message'): ?>
        <p>
            Photo Gallery will need MySQL server support. Please contact your NAS administrator to setup the service.
        </p>
<?php endif ?>
    </div>
</body>
</html>