#!/bin/sh

APKG_PKG_DIR=/usr/local/AppCentral/photo-gallery
PG_CONFIG=${APKG_PKG_DIR}/application/config/photo_gallery.php

AVAHI_REGISTER=/usr/builtin/sbin/avahiregister

PG_PASSWD=$(sed -n "s/\$config\['db_password'\] = '\(.*\)';/\1/p" ${PG_CONFIG})

/bin/chown admin:administrators ${APKG_PKG_DIR}/application/session/
/bin/chown admin:administrators ${APKG_PKG_DIR}/application/upload/

case "$APKG_PKG_STATUS" in

	install)
		if [ x"${PG_PASSWD}" = x"_REPLACE_USER_PASSWD_" ]; then
			DB_PASSWORD=`echo $RANDOM | md5sum | awk '{print $1}'`
			sed -i -e "s?\$config\['db_password'\] = '.*'?\$config\['db_password'\] = '${DB_PASSWORD}'?" ${PG_CONFIG}
		fi
		;;
	upgrade)
		DB_PASSWORD=`cat ${APKG_TEMP_DIR}/passwd.db`

		if [ x"${PG_PASSWD}" != x"${DB_PASSWORD}" ]; then
			sed -i -e "s?\$config\['db_password'\] = '.*'?\$config\['db_password'\] = '${DB_PASSWORD}'?" ${PG_CONFIG}
		fi
		;;
	*)
		;;

esac

# Register this service to avahi.
$AVAHI_REGISTER -reg pg %h _ASUSTOR_PG._tcp -2

exit 0
