<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed'); require_once('As_base.php'); define('FILE_SKIP', 0); define('FILE_RENAME', 1); define('FILE_OVERWRITE', 2); class As_filesystem extends As_base { private $file_exist_modes = array(FILE_SKIP, FILE_RENAME, FILE_OVERWRITE); private $copy_mode = FILE_RENAME; private $move_mode = FILE_RENAME; public $error_msg = array(); public function __construct($params = NULL) { parent::__construct(); if (isset($params['copy_mode']) && $params['copy_mode']) { if (in_array($params['copy_mode'], $this->file_exist_modes, TRUE)) { $this->copy_mode = $params['copy_mode']; } } if (isset($params['move_mode']) && $params['move_mode']) { if (in_array($params['move_mode'], $this->file_exist_modes, TRUE)) { $this->move_mode = $params['move_mode']; } } } private function _set_filename($filename) { if ( ! file_exists($filename)) { return $filename; } $path_parts = pathinfo($filename); for ($i = 1; $i < 1000; $i++) { $new_filename = $path_parts['dirname'] . DIRECTORY_SEPARATOR . $path_parts['filename'] . '_' . $i . '.' . $path_parts['extension']; if ( ! file_exists($new_filename)) { return $new_filename; } } } private function _copy($source, $dest) { $result = copy($source, $dest); if ($result) { $result &= chmod($dest, FILE_WRITE_MODE); } return $result; } private function _link($target, $link) { $result = link($target, $link); return $result; } public function copy($source, $dest) { if ( ! file_exists($source)) { $this->fb_error('file not found: ' . $source); return FALSE; } if ($this->copy_mode == FILE_SKIP && file_exists($dest)) { $this->fb_info('skip copy ' . $source . ' to ' . $dest); return FALSE; } elseif ($this->copy_mode == FILE_RENAME) { $dest = $this->_set_filename($dest); } elseif ($this->copy_mode == FILE_OVERWRITE) { if ($source == $dest) { $this->fb_error('can\'t overwrite ' . $source . ' to ' . $dest); return FALSE; } } $copy_func = '_copy'; return $this->$copy_func($source, $dest); } public function move($source, $dest) { if ( ! file_exists($source)) { $this->fb_error('file not found: ' . $source); return FALSE; } if ($source == $dest) { $this->fb_error('can\'t move ' . $source . ' to ' . $dest); return FALSE; } if ($this->move_mode == FILE_SKIP && file_exists($dest)) { $this->fb_info('skip move ' . $source . ' to ' . $dest); return FALSE; } elseif ($this->move_mode == FILE_RENAME) { $dest = $this->_set_filename($dest); } return rename($source, $dest); } public function move_upload_files($upload_dir, $dest_dir) { if ( ! file_exists($dest_dir)) { @mkdir($dest_dir, DIR_READ_MODE); } if ($fp = @opendir($upload_dir)) { $upload_dir = rtrim($upload_dir, DIRECTORY_SEPARATOR) . DIRECTORY_SEPARATOR; $dest_dir = rtrim($dest_dir, DIRECTORY_SEPARATOR) . DIRECTORY_SEPARATOR; while (FALSE !== ($file = readdir($fp))) { if ( ! trim($file, '.')) { continue; } if (is_file($upload_dir . $file)) { $this->move($upload_dir . $file, $dest_dir . $file); } } closedir($fp); } } private function _delete_file($filename) { $cmd = " thumbnail -home ".addcslashes($filename, "\40..\51"); $thumb_home = shell_exec($cmd); preg_match('/Path: (\[([\S]*)\])/', $thumb_home, $matches); $thumbs_dir = $matches[2]; if(strpos($thumbs_dir, "/volume1/.@thumbnail") === FALSE){ return FALSE; } $cmd = " rm -rf ".$thumbs_dir; shell_exec($cmd); return @unlink($filename); } private function _delete_dir($path) { $path = rtrim($path, DIRECTORY_SEPARATOR); if ( ! $current_dir = @opendir($path)) { return FALSE; } while (FALSE !== ($filename = @readdir($current_dir))) { if ($filename != "." and $filename != "..") { $target = $path . DIRECTORY_SEPARATOR . $filename; if (is_dir($target)) { $this->_delete_dir($target); } else { $this->_delete_file($target); } } } @closedir($current_dir); return @rmdir($path); } public function delete($path) { if ( ! file_exists($path)) { return FALSE; } if (is_file($path)) { return $this->_delete_file($path); } elseif (is_dir($path)) { return $this->_delete_dir($path); } } private function Sync_delete_file($filename,$fileinode) { $thumbs_dir = $this->web_config['thumbs_path'] . DIRECTORY_SEPARATOR . $fileinode; $this->_delete_dir($thumbs_dir); return true; } public function Sync_delete($path,$fileinode) { if($path == null || $fileinode == null){ return FALSE; } return $this->Sync_delete_file($path,$fileinode); } public function delete_only_thumbnail($path) { if($path == null){ return FALSE; } return $this->_delete_thumbnail_file($path); } private function _delete_thumbnail_file($filename) { $cmd = " thumbnail -home ".addcslashes($filename, "\40..\51"); $thumb_home = shell_exec($cmd); preg_match('/Path: (\[([\S]*)\])/', $thumb_home, $matches); $thumbs_dir = $matches[2]; if (substr($thumbs_dir, strlen($thumbs_dir) - 1, 1) != '/') { $thumbs_dir .= '/'; } $files = glob($thumbs_dir . '*', GLOB_MARK); foreach ($files as $file) { if (is_dir($file)) { self::deleteDir($file); } else { unlink($file); } } return @rmdir($thumbs_dir); } } 