<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed'); class Session { protected $sess_namespace = ''; protected $sess_expiration = ''; protected $ci; protected $store = array(); protected $flashdata_key = 'flash'; public function __construct($config = array()) { $this->ci = &get_instance(); if ( ! isset($_SESSION)) { if((!@$_COOKIE['PHPSESSID']) && (@$_GET['ssid'])) session_id($_GET['ssid']); session_start(); } $this->initialize($config); $this->_flashdata_sweep(); $this->_flashdata_mark(); } private function initialize($config) { $this->ci->load->config('session'); $config = array_merge ( array ( 'sess_namespace' => $this->ci->config->item('sess_namespace'), 'sess_expiration' => $this->ci->config->item('sess_expiration') ), $config ); foreach ($config as $key => $val) { if (method_exists($this, 'set_'.$key)) { $this->{'set_'.$key}($val); } elseif (isset($this->$key)) { $this->$key = $val; } } if (isset($_SESSION[$this->sess_namespace]) ) { $this->store = $_SESSION[$this->sess_namespace]; if (! $this->is_expired()) { return; } } $this->sess_create(); } public function sess_create() { if ($this->sess_expiration == 0) { $this->sess_expiration = (60*60*24*365*2); } $expire_time = time() + intval($this->sess_expiration); $_SESSION[$this->sess_namespace] = array( 'session_id' => md5(microtime()), 'expire_at' => $expire_time, 'expire_time' => $this->sess_expiration ); $this->store = $_SESSION[$this->sess_namespace]; } public function is_expired() { if ( ! isset($this->store['expire_at'])) { return TRUE; } return (time() > $this->store['expire_at']); } function sess_update() { if (!$this->is_expired()) { if ($this->sess_expiration == 0) { $this->sess_expiration = (60*60*24*365*2); } $expire_time = time() + intval($this->sess_expiration); $_SESSION[$this->sess_namespace]['expire_at'] = $expire_time; $this->store = $_SESSION[$this->sess_namespace]; } } public function sess_destroy() { $this->sess_create(); } public function userdata($value) { if ($value == 'session_id') { return $this->store['session_id']; } if (isset($this->store[$value])) { return $this->store[$value]; } else { return FALSE; } } public function set_userdata($data = array(), $value = '') { if (is_string($data)) { $data = array($data => $value); } foreach ($data as $key => $val) { $this->store[$key] = $val; } $_SESSION[$this->sess_namespace] = $this->store; } public function unset_userdata($data = array()) { if (is_string($data)) { $data = array($data => ''); } if (count($data) > 0) { foreach ($data as $key => $val) { unset($this->store[$key]); } } $_SESSION[$this->sess_namespace] = $this->store; } public function all_userdata() { return $this->store; } public function set_flashdata($newdata = array(), $newval = '') { if (is_string($newdata)) { $newdata = array($newdata => $newval); } if (count($newdata) > 0) { foreach ($newdata as $key => $val) { $flashdata_key = $this->flashdata_key.':new:'.$key; $this->set_userdata($flashdata_key, $val); } } } public function keep_flashdata($key) { $old_flashdata_key = $this->flashdata_key.':old:'.$key; $value = $this->userdata($old_flashdata_key); $new_flashdata_key = $this->flashdata_key.':new:'.$key; $this->set_userdata($new_flashdata_key, $value); } public function flashdata($key) { $flashdata_key = $this->flashdata_key.':old:'.$key; return $this->userdata($flashdata_key); } private function _flashdata_mark() { $userdata = $this->all_userdata(); foreach ($userdata as $name => $value) { $parts = explode(':new:', $name); if (is_array($parts) && count($parts) === 2) { $new_name = $this->flashdata_key.':old:'.$parts[1]; $this->set_userdata($new_name, $value); $this->unset_userdata($name); } } } private function _flashdata_sweep() { $userdata = $this->all_userdata(); foreach ($userdata as $key => $value) { if (strpos($key, ':old:')) { $this->unset_userdata($key); } } } } 