<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed'); class Album_model extends MY_Model { private $user_id; public function __construct() { parent::__construct(); $this->load->database(); $this->db->reconnect(); } public function initialize($params = NULL) { if (isset($params['user_id'])) { $this->user_id = $params['user_id']; } } public function simple_lists($privilege = PV_BROWSE) { $this->db->select('a.*'); $this->set_select_album_privilege($privilege, $this->user_id); $this->db->order_by('a.id', 'asc'); $query = $this->db->get(); return $query->result_object('id'); } public function lists($keyword = '', $start = NULL, $limit = NULL, $orderby = NULL) { $this->db->where('natural_order', '0'); $total_unupdate = $this->db->count_all_results($this->db_tables['album']); if($total_unupdate>0) { $this->update_nartural_order(); } if($orderby != null){ $order_by = $this->_album_order_manual($orderby); } $sub_query = sprintf("(SELECT COUNT(*) FROM `%s` AS p WHERE p.album_id = a.id)", $this->db_tables['photo']); $this->db->select('a.id, a.name, a.cover, a.user_id, a.access, a.description, a.natural_order, au.privilege, p.orientation, p.width AS dimX, p.height AS dimY, UNIX_TIMESTAMP(p.update_time) AS mtime, ' . $sub_query . ' AS photos'); $this->set_select_album_privilege(PV_BROWSE, $this->user_id); $filter_cond = "( `a`.`name` LIKE '%" . $this->db->escape_like_str($keyword) . "%' OR `a`.`description` LIKE '%" . $this->db->escape_like_str($keyword) . "%' )"; $this->db->where($filter_cond, NULL, TRUE); $level = $where = "level = 1 OR level = 0";; $this->db->where($level); if ($limit !== NULL) { $this->db->limit($limit, $start); } if($orderby != null){ $this->db->order_by($order_by['field'], $order_by['sorting']); }else{ $this->db->order_by("a.natural_order", "asc"); } $query = $this->db->get(); $result = array( 'total' => $this->count_last_results(), 'data' => $query->result() ); return $result; } public function update_nartural_order() { $this->db->select('id, name, natural_order '); $query = $this->db->get($this->db_tables['album']); $result = $query->result_array(); usort($result, function($a, $b) { return strnatcmp($a['name'], $b['name']); }); $count = 1; foreach($result as $key=>$value){ $result[$key]['natural_order'] = $count; $count++; } $this->db->update_batch($this->db_tables['album'], $result, 'id'); } public function get($album_id) { $this->db->select('a.*, au.display_mode, au.photo_order, au.privilege, p.name AS photo_name'); $this->db->where('a.id', $album_id); if($album_id != fileinode($this->web_config['photo_base'])){ $this->set_select_album_privilege(PV_BROWSE, $this->user_id); } else{ $this->set_select_album_privilege(PV_BROWSE, ADMIN_UID); } $query = $this->db->get(); $row = $query->row(); if ( ! empty($row)) { $row->path = $this->web_config['photo_base'] . $row->path . $row->name; if ($row->photo_name) { $row->cover_path = $row->path . DIRECTORY_SEPARATOR . $row->photo_name; } $row->display_mode = empty($row->display_mode) ? $this->web_config['display_mode'][0] : $row->display_mode; $row->photo_order = empty($row->photo_order) ? $this->web_config['photo_order'][0] : $row->photo_order; return $row; } return NULL; } public function get_by_path($path) { $pattern = '/^' . preg_quote($this->web_config['photo_base'] . DIRECTORY_SEPARATOR, DIRECTORY_SEPARATOR) . '/'; $path = preg_replace($pattern, DIRECTORY_SEPARATOR, $path, 1); $depth = substr_count($path, DIRECTORY_SEPARATOR, 0); if ($depth != 1) { return FALSE; } $album_name = mb_basename($path); $this->db->select('*'); $this->db->where('name', $album_name); $query = $this->db->get($this->db_tables['album']); $result = $query->row(); ! empty($result) || $result = FALSE; return $result; } public function existed($name) { $this->db->where('name', $name); $query = $this->db->get($this->db_tables['album']); $row = $query->row(); return ! empty($row); } public function get_album_ids($album_id) { if ( 0 != strcasecmp($album_id, 'all')) { return array_filter(explode(',', $album_id), 'is_numeric'); } $result = $this->simple_lists(); if ($result === FALSE) { return NULL; } $album_ids = array(); foreach ($result as $album) { $album_ids[] = $album->id; } return $album_ids; } public function add($data) { $this->db->where('id', $data['id']); $count = $this->db->count_all_results($this->db_tables['album']); if ($count != 0) { $this->db->where('id', $data['id']); $this->db->delete($this->db_tables['album']); } $result = $this->db->insert($this->db_tables['album'], $data); $this->update_nartural_order(); return $result; } public function insert_batch($data_set) { $result = $this->db->insert_batch($this->db_tables['album'], $data_set); $this->update_nartural_order(); return $result; } public function update($album_id, $data) { $this->db->where('id', $album_id); $this->db->update($this->db_tables['album'], $data); $this->update_nartural_order(); return TRUE; } public function update_batch($data_set) { $result = $this->db->update_batch($this->db_tables['album'], $data_set, 'id'); $this->update_nartural_order(); return $result; } public function update_cover($album_id, $photo_id) { $this->db->where('id', $album_id); $count = $this->db->count_all_results($this->db_tables['album']); if ($count == 0) { return FALSE; } $data = array( 'cover' => $photo_id ); $this->db->where('id', $album_id); $this->db->update($this->db_tables['album'], $data); return TRUE; } public function update_display_mode($album_id, $display_mode, $photo_order) { $data = array( 'display_mode' => $display_mode, 'photo_order' => $photo_order ); $this->db->where('album_id', $album_id); $this->db->where('user_id', $this->user_id); $this->db->update($this->db_tables['album_user'], $data); } public function update_description($album_id, $description) { $data = array( 'description' => $description ); $this->db->where('id', $album_id); $result = $this->db->update($this->db_tables['album'], $data); return $result; } public function delete_from_ui($album_ids) { $sql = 'DELETE a, au, p, pc, pp, pt FROM `' . $this->db_tables['album'] . '` AS a' . PHP_EOL; $sql .= 'LEFT JOIN `' . $this->db_tables['album_user'] . '` AS au ON au.`album_id` = a.`id`' . PHP_EOL; $sql .= 'LEFT JOIN `' . $this->db_tables['photo'] . '` AS p ON p.`album_id` = a.`id`' . PHP_EOL; $sql .= 'LEFT JOIN `' . $this->db_tables['photo_comment'] . '` AS pc ON pc.`album_id` = a.`id`' . PHP_EOL; $sql .= 'LEFT JOIN `' . $this->db_tables['photo_person'] . '` AS pp ON pp.`album_id` = a.`id`' . PHP_EOL; $sql .= 'LEFT JOIN `' . $this->db_tables['photo_tag'] . '` AS pt ON pt.`album_id` = a.`id`'; $album_ids = $this->get_albumset($album_ids); if (is_array($album_ids)) { $album_ids = "'" . implode("', '", $album_ids) . "'"; $sql .= 'WHERE a.`id` IN ( ' . $album_ids . ' )'; } else { $sql .= 'WHERE a.`id` = ' . $this->db->escape($album_ids); } $this->db->query($sql); $this->clean_unused_persons(); $this->clean_unused_tags(); } public function delete($album_ids) { $sql = 'DELETE a, au, p, pc, pp, pt FROM `' . $this->db_tables['album'] . '` AS a' . PHP_EOL; $sql .= 'LEFT JOIN `' . $this->db_tables['album_user'] . '` AS au ON au.`album_id` = a.`id`' . PHP_EOL; $sql .= 'LEFT JOIN `' . $this->db_tables['photo'] . '` AS p ON p.`album_id` = a.`id`' . PHP_EOL; $sql .= 'LEFT JOIN `' . $this->db_tables['photo_comment'] . '` AS pc ON pc.`album_id` = a.`id`' . PHP_EOL; $sql .= 'LEFT JOIN `' . $this->db_tables['photo_person'] . '` AS pp ON pp.`album_id` = a.`id`' . PHP_EOL; $sql .= 'LEFT JOIN `' . $this->db_tables['photo_tag'] . '` AS pt ON pt.`album_id` = a.`id`'; if (is_array($album_ids)) { $album_ids = "'" . implode("', '", $album_ids) . "'"; $sql .= 'WHERE a.`id` IN ( ' . $album_ids . ' )'; } else { $sql .= 'WHERE a.`id` = ' . $this->db->escape($album_ids); } log_message('error',"del--------sql"); log_message('error',$sql); $this->db->query($sql); $this->clean_unused_persons(); $this->clean_unused_tags(); } public function simple_lists_for_move_and_copy($privilege = PV_BROWSE) { $this->db->select('a.id, a.name, a.path'); $this->set_select_album_privilege($privilege, $this->user_id); $this->db->order_by('a.id', 'asc'); $this->db->where('a.name != "."'); $this->db->where('a.name != "#Recycle"'); $query = $this->db->get(); return $query->result_object('id'); } public function update_parent() { $this->db->select('*'); $query = $this->db->get($this->db_tables['album']); $result = $query->result_array(); usort($result, function($a, $b) { return strnatcmp($a['name'], $b['name']); }); $path = ''; $max_level = 0; foreach ($result as $key => $row) { if ($row[level] > $max_level){ $max_level = $row[level]; } } $level = 1; for($level;$max_level; $level++){ foreach ($result as $key => $row) { $path = $this->web_config['photo_base'] . $row[path]; $result[$key]['parent'] = fileinode($path); } } var_dump($result); } public function tree_lists($path = "/", $orderby = NULL, $start = NULL, $limit = NULL) { $this->db->where('natural_order', '0'); $total_unupdate = $this->db->count_all_results($this->db_tables['album']); if($total_unupdate>0) { $this->update_nartural_order(); } if($orderby != null){ $order_by = $this->_album_order_manual($orderby); } $sub_query = sprintf("(SELECT COUNT(*) FROM `%s` AS p WHERE p.album_id = a.id)", $this->db_tables['photo']); $this->db->select('a.id, a.name, a.cover, a.user_id, a.access, a.description, a.natural_order, au.privilege, p.orientation, p.width AS dimX, p.height AS dimY, UNIX_TIMESTAMP(p.update_time) AS mtime, ' . $sub_query . ' AS photos'); $level = $this->_getLevel($path); if($level <= 2){ $this->set_select_album_privilege(PV_BROWSE, $this->user_id); }else{ $this->set_select_album_privilege(PV_BROWSE, ADMIN_UID); } $this->db->where('a.path', $path); if ($limit !== NULL) { $this->db->limit($limit, $start); } if($orderby != null){ $this->db->order_by($order_by['field'], $order_by['sorting']); }else{ $this->db->order_by("a.natural_order", "asc"); } $query = $this->db->get(); $result = array( 'total' => $this->count_last_results(), 'data' => $query->result() ); return $result; } public function getpathby_albumid($album_id) { $sql = "SELECT path from albums WHERE id = $album_id"; $query = $this->db->query($sql); $now_path = isset($query->row()->path) ? $query->row()->path : ''; return $now_path; } public function getalbumname($album_id) { $sql = "SELECT name FROM albums WHERE id = $album_id"; log_message('error',"zzzzz"); log_message('error',$sql); $query = $this->db->query($sql); $album_name = isset($query->row()->name) ? $query->row()->name : ''; return $album_name; } public function get_albumset($album_id) { $album_set = array(); $album_queue = array(); $str_string = null; array_push($album_set,$album_id); array_push($album_queue,$album_id); if($album_id == fileinode($this->web_config['photo_base'])) return $album_set; while($album_queue != null){ $search_album = array_pop($album_queue); $this->db->select('a.*,'); $this->db->where('a.parent', $search_album); $this->set_select_album_privilege(PV_BROWSE, $this->user_id); $query = $this->db->get(); if(!empty($query)){ foreach ($query->result() as $row) { if($row->id == fileinode($this->web_config['photo_base'])) continue; array_push($album_set,(int)$row->id); array_push($album_queue,(int)$row->id); } } } return $album_set; } public function path_traverse($album_id) { $root = fileinode($this->web_config['photo_base']); $album_id_set = array(); $album_path_set = array(); if($album_id != $root){ do{ $sql = "SELECT parent,name from albums WHERE id = $album_id"; $query = $this->db->query($sql); $name = $query->row()->name; array_push($album_id_set,$album_id); array_push($album_path_set,$name); $album_id = $query->row()->parent; log_message('error',"GGGGGGGGGGGGGGGGGGGGGG"); }while($album_id != $root); } array_push($album_id_set,$root); array_push($album_path_set,"/"); $result = array( 'id' => $album_id_set, 'name' => $album_path_set ); return $result; } public function album_path($album_id) { $sql = "SELECT name,path from albums WHERE id = $album_id"; $query = $this->db->query($sql); $now_path = $query->row()->path; $album_name = $query->row()->name; if($album_id != fileinode($this->web_config['photo_base'])){ $full_path = $now_path. $album_name; } else{ $full_path = $now_path; } return $full_path; } public function get_album_child_dir($album_id) { $this->load->library('as_acl'); $album_set = array(); $album_name_set = array(); $album_count_set = array(); $album_type_set = array(); $album_privilege_set = array(); $search_album = $album_id; $this->db->select('a.*,'); $this->db->where('a.parent', $search_album); $this->set_select_album_privilege(PV_BROWSE, $this->user_id); $query = $this->db->get(); foreach ($query->result() as $row) { $type = 0; if ($row->name == "#Recycle" ) { continue; } if ($row->id == fileinode($this->web_config['photo_base'])) { $row->name = "unclassified"; $type = 1; if($this->album_photo_num($row->id) == 0) continue; } $num = $this->album_photo_num($row->id); array_push($album_set,(int)$row->id); array_push($album_name_set,$row->name); array_push($album_count_set,$num); array_push($album_type_set,$type); } $now_path = $this->getpathby_albumid($album_id); if($album_name != "."){ $path = $now_path.$album_name. DIRECTORY_SEPARATOR; }else{ $path = $now_path. DIRECTORY_SEPARATOR; } $query_result = $this->tree_lists($path); foreach ($query_result['data'] as $album) { $privilege = $this->as_acl->pv_conclusion($this->user_id, $album->user_id, $album->privilege); array_push($album_privilege_set,$privilege); } $result = array( 'id' => $album_set, 'name' => $album_name_set, 'photo_num' => $album_count_set, 'flag' => $album_type_set, 'privilege' => $album_privilege_set ); return $result; } public function album_photo_num($album_id) { $sql = "SELECT count(*) as num from photos WHERE album_id = $album_id"; $query = $this->db->query($sql); $count = $query->row()->num; return $count; } public function update_passwd() { $this->db->select('id, access, passwd'); $query = $this->db->get($this->db_tables['album']); $result = $query->result_array(); $this->load->library('encrypt'); log_message('error',"pawwsd"); if(!empty($result)){ foreach($result as $key=>$value){ if($result[$key]['access'] == "Password"){ $passwd = $this->encrypt->decode($result[$key]['passwd']); $options = array( 'cost' => 11, 'salt' => mcrypt_create_iv(22, MCRYPT_DEV_URANDOM), ); $passwd = password_hash($passwd,PASSWORD_BCRYPT,$options); $result[$key]['passwd'] = $passwd; } } $this->db->update_batch($this->db_tables['album'], $result, 'id'); } } private function _album_order_manual($orderby) { preg_match('/^[a-z]*/', $orderby, $match); $field = $match[0]; preg_match('/\_+[a-z]*/', $orderby, $match); $sorting = str_replace("_","",$match[0]); if ($field == "name") { $field = 'natural_order'; } else if ($field == "time"){ $field = 'create_time'; } else{ $field = 'natural_order'; } if ($sorting == "asc") { $sorting = 'ASC'; } else{ $sorting = 'DESC'; } $order_by = array( 'field' => $field, 'sorting' => $sorting ); return $order_by; } public function copy_add_album($src_folder, $dst_folder) { $src_album_id = fileinode($src_folder); $src_album = $this->get($src_album_id); $dst_album_id = fileinode($dst_folder); if($fileinode != fileinode($this->web_config['photo_base'])){ $parent_relate_path = str_replace($this->web_config['photo_base'],"",dirname($dst_folder)).DIRECTORY_SEPARATOR; }else{ $parent_relate_path = str_replace($src_album->name,"",str_replace($this->web_config['photo_base'],"",$dst_folder)); } $parent_path = dirname($dst_folder); $parent_inode = fileinode($parent_path); $dst_parent_album = $this->get($parent_inode); $level = $this->_getLevel($dst_folder); $access = "Private"; $passwd =""; if($level > 2){ $access = "Public"; $passwd = ""; }else{ $access = $dst_parent_album->access; $passwd = $dst_parent_album->passwd; } $album = array( 'id' => $dst_album_id, 'name' => $src_album->name, 'description' => $src_album->description, 'cover' => NULL, 'level' => $level, 'path' => $parent_relate_path, 'user_id' => $src_album->user_id, 'access' => $access, 'passwd' => $passwd, 'create_time' => $src_album->create_time, 'update_time' => date('Y-m-d H:i:s'), 'parent' => $parent_inode ); $this->db->where('id', $dst_album_id); $count = $this->db->count_all_results($this->db_tables['album']); if ($count != 0) { return FALSE; } $result = $this->db->insert($this->db_tables['album'], $album); return $result; } public function _getLevel($pathname) { $level = 0; $base = $this->web_config['photo_base']; $relative_path = str_replace($base,"",$pathname); $level = substr_count($relative_path,DIRECTORY_SEPARATOR); return $level; } public function level2_album($album_id) { $level = 0; do{ $sql = "SELECT parent,level from albums WHERE id = $album_id"; $query = $this->db->query($sql); $level = $query->row()->level; if($level <= 2){ break; } else{ $album_id = $query->row()->parent; } }while($level > 2); $result = $album_id; return $result; } public function check_db_migration() { $root_inode = fileinode($this->web_config['photo_base']); $this->db->where('id', $root_inode); $count = $this->db->count_all_results($this->db_tables['album']); if ($count == 0) { $this->load->library('sync'); $this->sync->all(); } return true; } public function get_album_id_by_path($path) { $name = basename($path); $relate_path = str_replace($this->web_config['photo_base'], "", dirname($path)). DIRECTORY_SEPARATOR; $this->db->select('id'); $this->db->where('name', $name); $this->db->where('path', $relate_path); $query = $this->db->get($this->db_tables['album']); $result = $query->row()->id; return $result; } public function move_album_item_update_access($src_folder, $dst_folder) { $src_album_id = fileinode($src_folder); $dst_parent_path = dirname($dst_folder); $dst_parent_inode = fileinode($dst_parent_path); $dst_parent_album_info = $this->get($dst_parent_inode); if ($dst_parent_album_info == NULL) { return FALSE; } $dst_level = $this->_getLevel($dst_parent_path); if($dst_level <= 2){ $target_album_id = ""; $src_level = $this->_getLevel($src_folder); if($src_level > 2){ $target_album_id = $this->level2_album($src_album_id); }else{ $target_album_id = $src_album_id; } $this->db->where('id', $target_album_id); $query = $this->db->get($this->db_tables['album']); $count = $this->db->count_all_results($this->db_tables['album']); if ($count != 0) { $copy_src = $query->result(); foreach ($copy_src as $key => $row) { $data = array( 'access' => $row->access, 'passwd' => $row->passwd ); $this->db->where('id', $src_album_id); $this->db->update($this->db_tables['album'], $data); } } return $result; }else{ return true; } } public function son_dir($album_id){ if($album_id == fileinode($this->web_config['photo_base'])){ return TRUE; } $this->db->select('a.*,'); $this->db->where('a.parent', $album_id); $this->set_select_album_privilege(PV_BROWSE, $this->user_id); $query = $this->db->get(); $count = $this->count_last_results(); if($count != 0){ return TRUE; } return FALSE; } public function check_folder_db($album_id) { $album_path =""; if($album_id == fileinode($this->web_config['photo_base'])){ $album_path = $this->web_config['photo_base']; } else{ $album_path = $this->web_config['photo_base'] . $this->album_path($album_id) . $album->name; } $this->CI->load->helper(array('array', 'file')); $count_filesystem = 0; $dir_iterator = new RecursiveDirectoryIterator($album_path, FilesystemIterator::SKIP_DOTS); $filter_iterator = new ImageFileFilter($dir_iterator, array_merge($this->web_config['supported_image_ext'],$this->web_config['supported_image_raw'],$this->web_config['supported_video_ext'])); $iterator = new RecursiveIteratorIterator($filter_iterator, RecursiveIteratorIterator::SELF_FIRST); $iterator->setMaxDepth(0); foreach ($iterator as $spl_file_info) { if ($spl_file_info->isDir()) { continue; } $count_filesystem++; } $count_db = 0; $this->db->where('album_id', $album_id); $count_db = $this->db->count_all_results($this->db_tables['photo']); if ($count_db != $count_filesystem) { $album_info = $this->get($album_id); $this->load->library('sync'); $this->sync->photos_sync($album_id, $album_path); } return true; } public function sync_photos_size($photos) { foreach ($photos as $key => $photo) { $width = $photo->dimX; $height = $photo->dimY; if($width == 0 or $height == 0){ if($album_id == fileinode($this->web_config['photo_base'])){ $album_path = $this->web_config['photo_base']; } else{ $album_path = $this->web_config['photo_base'] . $this->album_path($photo->album_id) . $album->name; } $this->load->library('sync'); $this->sync->photos_sync($photo->album_id, $album_path); break; } } } public function search_scope($privilege = PV_BROWSE) { $this->db->select('a.id, a.name, a.path'); $this->set_select_album_privilege($privilege, $this->user_id); $this->db->order_by('a.id', 'asc'); $this->db->where('a.name != "."'); $this->db->where('a.name != "#Recycle"'); $this->db->where('a.level', 1); $query = $this->db->get(); return $query->result_object('id'); } } 