<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed'); class Photo_model extends MY_Model { private $user_id; public function __construct() { parent::__construct(); $this->load->database(); $this->db->reconnect(); } public function initialize($params = NULL) { if (isset($params['user_id']) && $params['user_id']) { $this->user_id = $params['user_id']; } } public function simple_lists($album_id) { $this->db->select('id, name, width, height, photo_mtime'); $this->db->where('album_id', $album_id); $this->db->order_by('id', 'asc'); $query = $this->db->get($this->db_tables['photo']); $result = $query->result(); $result_key = array(); foreach ($result as $row) { array_push($result_key,$row->id); } $list = @array_combine($result_key, array_values($result)); return $list; } private function _photo_order($album_id, $user_id) { $this->db->select('photo_order'); $this->db->where(array('album_id' => $album_id, 'user_id' => $user_id)); $query = $this->db->get($this->db_tables['album_user']); $row = $query->row(); if ( ! empty($row)) { if ($row->photo_order == 'UploadTime') { $field = 'upload_time'; } elseif ($row->photo_order == 'PhotoTime') { $field = 'photo_time'; } elseif ($row->photo_order == 'Name') { $field = 'natural_order'; } } isset($field) || $field = 'natural_order'; $order_by = array( 'field' => $field, 'sorting' => $field == 'upload_time' ? 'DESC' : 'ASC' ); return $order_by; } private function _photo_order_manual($orderby) { preg_match('/^[a-z]*/', $orderby, $match); $field = $match[0]; preg_match('/\_+[a-z]*/', $orderby, $match); $sorting = str_replace("_","",$match[0]); if ($field == "name") { $field = 'natural_order'; } else if ($field == "time"){ $field = 'photo_time'; } else{ $field = 'natural_order'; } if ($sorting == "asc") { $sorting = 'ASC'; } else{ $sorting = 'DESC'; } $order_by = array( 'field' => $field, 'sorting' => $sorting ); return $order_by; } public function lists($album_id, $keyword = '', $start = NULL, $limit = NULL, $orderby = NULL) { $this->db->where('natural_order', '0'); $this->db->where('album_id', $album_id); $total_unupdate = $this->db->count_all_results($this->db_tables['photo']); if($total_unupdate>0) { $this->update_nartural_order($album_id); } if($orderby != null){ $order_by = $this->_photo_order_manual($orderby); }else{ $order_by = $this->_photo_order($album_id, $this->user_id); } $sub_query = sprintf("(SELECT COUNT(*) FROM `%s` WHERE `%s`.`album_id` = `%s`.`album_id` AND `%s`.`photo_id` = `%s`.`id`)", $this->db_tables['photo_comment'], $this->db_tables['photo_comment'], $this->db_tables['photo'], $this->db_tables['photo_comment'], $this->db_tables['photo']); $this->db->select('album_id, id, name, description, orientation, UNIX_TIMESTAMP(update_time) AS mtime, UNIX_TIMESTAMP(photo_time) AS ptime, width AS dimX, height AS dimY, ' . $sub_query . ' AS comments'); $this->db->where('album_id', $album_id); $this->db->order_by($order_by['field'], $order_by['sorting']); $query = $this->db->get($this->db_tables['photo'], $limit, $start); $result = array( 'total' => $this->count_last_results(), 'data' => $query->result() ); return $result; } public function update_nartural_order($album_id) { $this->db->select('id, name, natural_order '); $this->db->where('album_id', $album_id); $query = $this->db->get($this->db_tables['photo']); $result = $query->result_array(); usort($result, function($a, $b) { $a_val= substr($a['name'], 0,strrpos($a['name'],".")); $b_val= substr($b['name'], 0,strrpos($b['name'],".")); return strnatcmp($a_val, $b_val); }); $count = 1; foreach($result as $key=>$value){ $result[$key]['natural_order'] = $count; $count++; } $this->db->update_batch($this->db_tables['photo'], $result, 'id'); } public function get($album_id, $photo_id) { $this->db->select('*'); $this->db->from($this->db_tables['photo']); $this->db->where('id', $photo_id); $this->db->where('album_id', $album_id); $query = $this->db->get(); $result = $query->row(); ! empty($result) || $result = FALSE; return $result; } public function get_by_path($path) { $path = preg_replace('/^' . preg_quote($this->web_config['photo_base'] . DIRECTORY_SEPARATOR) . '/', DIRECTORY_SEPARATOR, $path, 1); $depth = substr_count($path, DIRECTORY_SEPARATOR, 1); if ($depth != 1) { return FALSE; } $dir_name = dirname($path); $album_name = substr($dir_name, strrpos($dir_name, DIRECTORY_SEPARATOR) - strlen($dir_name)); if ($album_name != DIRECTORY_SEPARATOR) { $album_name = str_replace(DIRECTORY_SEPARATOR, '', $album_name); } $this->db->select('p.*'); $this->db->from($this->db_tables['photo'] . ' AS p'); $this->db->join($this->db_tables['album'] . ' AS a', 'a.id = p.album_id'); $this->db->where('a.name', $album_name); $this->db->where('p.name', mb_basename($path)); $query = $this->db->get(); $result = $query->row(); ! empty($result) || $result = FALSE; return $result; } public function get_latest_photos($type, $album_id, $limit = 1) { if ( ! in_array($type, array('upload_time', 'update_time'))) { return FALSE; } $this->db->select('COUNT(*) AS `numrows`'); $this->db->where('album_id', $album_id); $this->db->where('width != 190 and height != 190'); $query = $this->db->get($this->db_tables['photo'], $limit, 0); $row = $query->row()->numrows; $this->db->select('album_id, id AS photo_id, orientation, width, height, UNIX_TIMESTAMP(update_time) AS mtime'); $this->db->where('album_id', $album_id); $this->db->where('width != 190 and height != 190'); $this->db->order_by($type, 'desc'); $query = $this->db->get($this->db_tables['photo'], $limit, 0); if(($row <4 and $limit >1) or ($limit == 1)){ $this->db->select('album_id, id AS photo_id, orientation, width, height, UNIX_TIMESTAMP(update_time) AS mtime'); $this->db->where('album_id', $album_id); $this->db->order_by($type, 'desc'); $query = $this->db->get($this->db_tables['photo'], $limit, 0); } $result = $query->result(); return $result; } public function get_path($album_id, $photo_id) { $this->db->select('a.path AS album_path, a.name AS album_name, p.name AS photo_name'); $this->db->from($this->db_tables['photo'] . ' AS p'); $this->db->join($this->db_tables['album'] . ' AS a', 'a.id = p.album_id'); $this->db->where('p.album_id', $album_id); $this->db->where_in('p.id', $photo_id); $query = $this->db->get(); $result = $query->result(); if ( ! empty($result)) { if ( ! is_array($photo_id)) { if($album_id == fileinode($this->web_config['photo_base'])){ return $this->web_config['photo_base'] . $result[0]->album_path . DIRECTORY_SEPARATOR . $result[0]->photo_name; }else{ return $this->web_config['photo_base'] . $result[0]->album_path . $result[0]->album_name . DIRECTORY_SEPARATOR . $result[0]->photo_name; } } $files = array(); foreach ($result as $photo) { if($album_id == fileinode($this->web_config['photo_base'])){ $files[] = $this->web_config['photo_base'] . $photo->album_path . DIRECTORY_SEPARATOR . $photo->photo_name; }else{ $files[] = $this->web_config['photo_base'] . $photo->album_path . $photo->album_name . DIRECTORY_SEPARATOR . $photo->photo_name; } } return $files; } return NULL; } public function get_photo_ids($album_id, $photo_id) { if ( 0 != strcasecmp($photo_id, 'all')) { return array_filter(explode(',', $photo_id), 'is_numeric'); } $result = $this->simple_lists($album_id); if ($result === FALSE) { return FALSE; } $photo_ids = array(); foreach ($result as $photo) { $photo_ids[] = $photo->id; } return $photo_ids; } public function add($album_id, $photo) { $this->db->where('album_id', $album_id); $this->db->where('id', $photo['id']); $count = $this->db->count_all_results($this->db_tables['photo']); if ($count != 0) { return FALSE; } $datetime = date('Y-m-d H:i:s'); $data = array( 'id' => $photo['id'], 'album_id' => $album_id, 'name' => $photo['name'], 'description' => isset($photo['description']) ? $photo['description'] : '', 'width' => $photo['width'], 'height' => $photo['height'], 'photo_time' => $photo['photo_time'], 'photo_mtime' => $photo['photo_mtime'], 'upload_time' => $datetime, 'update_time' => $datetime ); $result = $this->db->insert($this->db_tables['photo'], $data); return $result; } public function insert_batch($album_id, $data_set) { $result = $this->db->insert_batch($this->db_tables['photo'], $data_set); $this->load->library('as_photo'); foreach($data_set as $key => $value) { $filename = $this->get_path($album_id, $value['id']); switch($value['orientation']) { case 8: $this->as_photo->rotate($filename, "270"); break; case 3: $this->as_photo->rotate($filename, "180"); break; case 6: $this->as_photo->rotate($filename, "90"); break; } } return $result; } public function update_orientation($album_id, $photo_id, $angle, $filename) { $this->load->helper('orientation'); $photo_info = $this->get($album_id, $photo_id); if(strtolower(pathinfo($filename, PATHINFO_EXTENSION)) == "png"){ $orientation = "1"; if (in_array($angle, array('90', '270'))) { $width = $photo_info->height; $height = $photo_info->width; } else { $width = $photo_info->width; $height = $photo_info->height; } } else{ $orientation = orientation_merge_angle($photo_info->orientation, $angle); $width = $photo_info->width; $height = $photo_info->height; } $data = array( 'orientation' => $orientation, 'width' => $width, 'height' => $height, 'update_time' => date('Y-m-d H:i:s') ); $this->db->where('album_id', $album_id); $this->db->where('id', $photo_id); $this->db->update($this->db_tables['photo'], $data); } public function update_batch($album_id, $data_set) { $photo_id = array(); $fields = array( 'name' => '', 'photo_time' => '', 'photo_mtime' => '', 'update_time' => '', 'width' => '', 'height' => '', 'orientation' => '' ); foreach ($data_set as $data) { $photo_id[] = $data['id']; $fields['name'] .= 'WHEN `id` = ' . $this->db->escape($data['id']) . ' THEN ' . $this->db->escape($data['name']) . PHP_EOL; $fields['photo_time'] .= 'WHEN `id` = ' . $this->db->escape($data['id']) . ' THEN ' . $this->db->escape($data['photo_time']) . PHP_EOL; $fields['photo_mtime'] .= 'WHEN `id` = ' . $this->db->escape($data['id']) . ' THEN ' . $this->db->escape($data['photo_mtime']) . PHP_EOL; $fields['update_time'] .= 'WHEN `id` = ' . $this->db->escape($data['id']) . ' THEN ' . $this->db->escape($data['update_time']) . PHP_EOL; $fields['width'] .= 'WHEN `id` = ' . $this->db->escape($data['id']) . ' THEN ' . $this->db->escape($data['width']) . PHP_EOL; $fields['height'] .= 'WHEN `id` = ' . $this->db->escape($data['id']) . ' THEN ' . $this->db->escape($data['height']) . PHP_EOL; $fields['orientation'] .= 'WHEN `id` = ' . $this->db->escape($data['id']) . ' THEN ' . $this->db->escape($data['orientation']) . PHP_EOL; } $photo_id = "'" . implode("', '", $photo_id) . "'"; $sql = 'UPDATE `' . $this->db_tables['photo'] . '` SET `name` = (CASE' . PHP_EOL; $sql .= $fields['name']; $sql .= 'ELSE `name` END), `photo_time` = (CASE' . PHP_EOL; $sql .= $fields['photo_time']; $sql .= 'ELSE `photo_time` END), `photo_mtime` = (CASE' . PHP_EOL; $sql .= $fields['photo_mtime']; $sql .= 'ELSE `photo_mtime` END), `update_time` = (CASE' . PHP_EOL; $sql .= $fields['update_time']; $sql .= 'ELSE `update_time` END), `width` = (CASE' . PHP_EOL; $sql .= $fields['width']; $sql .= 'ELSE `width` END), `height` = (CASE' . PHP_EOL; $sql .= $fields['height']; $sql .= 'ELSE `height` END), `orientation` = (CASE' . PHP_EOL; $sql .= $fields['orientation']; $sql .= 'ELSE `orientation` END) WHERE `album_id` = ' . $this->db->escape($album_id) . ' AND `id` IN ( ' . $photo_id . ' )'; $result = $this->db->query($sql); return $result; } public function update_album($src_album_id, $dst_album_id, $photo_id) { $this->db->trans_begin(TRUE); $data = array( 'album_id' => $dst_album_id ); $where = array( 'id' => $photo_id, 'album_id' => $src_album_id ); $sql = $this->db->update_string($this->db_tables['photo'], $data, $where); $this->db->query($sql); $where = array( 'album_id' => $src_album_id, 'photo_id' => $photo_id ); $sql = $this->db->update_string($this->db_tables['photo_comment'], $data, $where); $this->db->query($sql); $sql = $this->db->update_string($this->db_tables['photo_person'], $data, $where); $this->db->query($sql); $sql = $this->db->update_string($this->db_tables['photo_tag'], $data, $where); $this->db->query($sql); if ($this->db->trans_status() === FALSE) { $this->db->trans_rollback(); return FALSE; } else { $this->db->trans_commit(); $this->reset_album_cover($src_album_id, $photo_id); return TRUE; } } public function rotate($album_id, $photo_id, $angle) { $this->load->library('as_photo'); $filename = $this->get_path($album_id, $photo_id); $this->as_photo->resize($filename); $result = $this->as_photo->rotate($filename, $this->request['angle']); } public function delete($album_id, $photo_ids) { $sql = 'DELETE p, pc, pp, pt FROM `' . $this->db_tables['photo'] . '` AS p' . PHP_EOL; $sql .= 'LEFT JOIN `' . $this->db_tables['photo_comment'] . '` AS pc ON pc.`photo_id` = p.`id`' . PHP_EOL; $sql .= 'LEFT JOIN `' . $this->db_tables['photo_person'] . '` AS pp ON pp.`photo_id` = p.`id`' . PHP_EOL; $sql .= 'LEFT JOIN `' . $this->db_tables['photo_tag'] . '` AS pt ON pt.`photo_id` = p.`id`'; if (is_array($photo_ids)) { $sql .= 'WHERE p.`id` IN ( ' . "'" . implode("', '", $photo_ids) . "'" . ' ) AND p.`album_id` = ' . $this->db->escape($album_id); } else { $sql .= 'WHERE p.`id` = ' . $this->db->escape($photo_ids) . ' AND p.`album_id` = ' . $this->db->escape($album_id); } $this->db->query($sql); $this->reset_album_cover($album_id, $photo_ids); $this->clean_unused_persons(); $this->clean_unused_tags(); } public function set_description($album_id, $photo_id, $description) { $this->db->where('id', $photo_id); $this->db->where('album_id', $album_id); $count = $this->db->count_all_results($this->db_tables['photo']); if ($count == 0) { return FALSE; } $data = array( 'description' => $description ); $this->db->where('id', $photo_id); $this->db->where('album_id', $album_id); $this->db->update($this->db_tables['photo'], $data); return TRUE; } public function photo_lists($album_list, $start, $limit, $orderby = null) { $this->db->where('natural_order', '0'); $this->db->where_in('album_id', $album_list); $total_unupdate = $this->db->count_all_results($this->db_tables['photo']); foreach ($album_list as $album_id){ if($total_unupdate>0) { $this->update_nartural_order($album_id); } if($orderby != null){ $order_by = $this->_photo_order_manual($orderby); }else{ $order_by = $this->_photo_order($album_id, $this->user_id); } } $sub_query = sprintf("(SELECT COUNT(*) FROM `%s` WHERE `%s`.`album_id` = `%s`.`album_id` AND `%s`.`photo_id` = `%s`.`id`)", $this->db_tables['photo_comment'], $this->db_tables['photo_comment'], $this->db_tables['photo'], $this->db_tables['photo_comment'], $this->db_tables['photo']); $this->db->select('album_id, id, name, description, orientation, UNIX_TIMESTAMP(update_time) AS mtime, UNIX_TIMESTAMP(photo_time) AS ptime,width AS dimX, height AS dimY, ' . $sub_query . ' AS comments'); $this->db->where_in('album_id', $album_list); $this->db->order_by($order_by['field'], $order_by['sorting']); $query = $this->db->get($this->db_tables['photo'], $limit, $start); $result = array( 'total' => $this->count_last_results(), 'data' => $query->result() ); return $result; } public function update_photoname($album_id, $photo_id, $new_name) { $photo_info = $this->get($album_id, $photo_id); $data = array( 'name' => $new_name, 'update_time' => date('Y-m-d H:i:s') ); $this->db->where('album_id', $album_id); $this->db->where('id', $photo_id); $this->db->update($this->db_tables['photo'], $data); } public function tree_lists_rank($album_id, $photo_id, $orderby = NULL) { if($orderby != null){ $order_by = $this->_photo_order_manual($orderby); }else{ $order_by = $this->_photo_order($album_id, $this->user_id); } $order_by_field = $order_by['field']; $order_by_sorting = $order_by['sorting']; $sub_sql = "(SELECT id,  @curRank := @curRank +1 AS rank FROM photos , (SELECT @curRank :=0)r WHERE album_id = $album_id ORDER BY $order_by_field $order_by_sorting)"; $sql = "SELECT rank.rank as rank from $sub_sql as rank WHERE rank.id = $photo_id"; $query = $this->db->query($sql); $photo_rank = $query->row()->rank; return $photo_rank; } public function remove() { $this->CI->my_shm->remove(); sem_remove($this->sem_identifier); } public function add_photo_to_pool($photo) { $result = $this->db->insert($this->db_tables['photos_pool'], $photo); return $result; } public function get_photo_from_pool() { $sql = "SELECT * from photos_pool"; $query = $this->db->query($sql); $result_array = array(); foreach ($query->result() as $row) { array_push($result_array,$row); } return $result_array; } public function remove_photo_from_pool($album_id, $photo_id) { $sql = 'DELETE FROM ' . $this->db_tables['photos_pool'] . PHP_EOL; $sql .= 'WHERE `album_id` = ' . $this->db->escape($album_id) . ' AND `photo_id` = ' . $this->db->escape($photo_id); $this->db->query($sql); } public function clean_photo_pool() { $sql = 'DELETE FROM ' . $this->db_tables['photos_pool']; $this->db->query($sql); } public function copy_add_photo($src_filename, $dst_filename) { $src_album_id = fileinode(dirname($src_filename)); $src_photo_id = fileinode($src_filename); $src_photo = $this->get($src_album_id, $src_photo_id); $dst_album_id = fileinode(dirname($dst_filename)); $dst_photo_id = fileinode($dst_filename); $photo = array( 'id' => $dst_photo_id, 'album_id' => $dst_album_id, 'name' => $src_photo->name, 'description' => $src_photo->description, 'width' => $src_photo->width, 'height' => $src_photo->height, 'photo_time' => $src_photo->photo_time, 'orientation' => $src_photo->orientation, 'photo_mtime' => $src_photo->photo_mtime, 'upload_time' => $src_photo->upload_time, 'update_time' => date('Y-m-d H:i:s') ); $this->db->where('name', $photo['name']); $this->db->where('album_id', $dst_album_id); $this->db->where('id', $photo['id']); $count = $this->db->count_all_results($this->db_tables['photo']); if ($count != 0) { $this->db->where('name', $photo['name']); $this->db->where('album_id', $dst_album_id); $this->db->where('id', $photo['id']); $this->db->delete($this->db_tables['photo']); } $result = $this->db->insert($this->db_tables['photo'], $photo); $album_info = $this->album_model->get($dst_album_id); if($album_info->cover == NULL){ $cover = $this->photo_model->get_latest_photos('upload_time', $album_id, 1); if ( ! empty($cover)) { $this->album_model->update_cover($album_id, $cover[0]->photo_id); } } return $result; } public function get_latest_photos_travel_child($type, $album_id, $limit = 1) { if ( ! in_array($type, array('upload_time', 'update_time'))) { return FALSE; } $scope = array(); $scope = array_merge($scope, $this->album_model->get_albumset($album_id)); $this->db->select('COUNT(*) AS `numrows`'); $this->db->where_in('album_id', $scope); $this->db->where('width != 190 and height != 190'); $query = $this->db->get($this->db_tables['photo'], $limit, 0); $row = $query->row()->numrows; $this->db->select('album_id, id AS photo_id, orientation, width, height, UNIX_TIMESTAMP(update_time) AS mtime'); $this->db->where_in('album_id', $scope); $this->db->where('width != 190 and height != 190'); $this->db->order_by($type, 'desc'); $query = $this->db->get($this->db_tables['photo'], $limit, 0); if(($row <4 and $limit >1) or ($limit == 1)){ $this->db->select('album_id, id AS photo_id, orientation, width, height, UNIX_TIMESTAMP(update_time) AS mtime'); $this->db->where_in('album_id', $scope); $this->db->order_by($type, 'desc'); $query = $this->db->get($this->db_tables['photo'], $limit, 0); } $result = $query->result(); return $result; } } 