<?php
 defined('BASEPATH') OR exit('No direct script access allowed'); class CI_Cache_redis extends CI_Driver { protected static $_default_config = array( 'socket_type' => 'tcp', 'host' => '127.0.0.1', 'password' => NULL, 'port' => 6379, 'timeout' => 0 ); protected $_redis; protected $_serialized = array(); public function get($key) { $value = $this->_redis->get($key); if ($value !== FALSE && isset($this->_serialized[$key])) { return unserialize($value); } return $value; } public function save($id, $data, $ttl = 60, $raw = FALSE) { if (is_array($data) OR is_object($data)) { if ( ! $this->_redis->sIsMember('_ci_redis_serialized', $id) && ! $this->_redis->sAdd('_ci_redis_serialized', $id)) { return FALSE; } isset($this->_serialized[$id]) OR $this->_serialized[$id] = TRUE; $data = serialize($data); } elseif (isset($this->_serialized[$id])) { $this->_serialized[$id] = NULL; $this->_redis->sRemove('_ci_redis_serialized', $id); } return $this->_redis->set($id, $data, $ttl); } public function delete($key) { if ($this->_redis->delete($key) !== 1) { return FALSE; } if (isset($this->_serialized[$key])) { $this->_serialized[$key] = NULL; $this->_redis->sRemove('_ci_redis_serialized', $key); } return TRUE; } public function increment($id, $offset = 1) { return $this->_redis->incr($id, $offset); } public function decrement($id, $offset = 1) { return $this->_redis->decr($id, $offset); } public function clean() { return $this->_redis->flushDB(); } public function cache_info($type = NULL) { return $this->_redis->info(); } public function get_metadata($key) { $value = $this->get($key); if ($value !== FALSE) { return array( 'expire' => time() + $this->_redis->ttl($key), 'data' => $value ); } return FALSE; } public function is_supported() { if ( ! extension_loaded('redis')) { log_message('debug', 'The Redis extension must be loaded to use Redis cache.'); return FALSE; } return $this->_setup_redis(); } protected function _setup_redis() { $config = array(); $CI =& get_instance(); if ($CI->config->load('redis', TRUE, TRUE)) { $config = $CI->config->item('redis'); } $config = array_merge(self::$_default_config, $config); $this->_redis = new Redis(); try { if ($config['socket_type'] === 'unix') { $success = $this->_redis->connect($config['socket']); } else { $success = $this->_redis->connect($config['host'], $config['port'], $config['timeout']); } if ( ! $success) { log_message('debug', 'Cache: Redis connection refused. Check the config.'); return FALSE; } } catch (RedisException $e) { log_message('debug', 'Cache: Redis connection refused ('.$e->getMessage().')'); return FALSE; } if (isset($config['password'])) { if ( ! $this->_redis->auth($config['password'])) { log_message('debug', 'Cache: Redis authentication failed.'); return FALSE; } } $serialized = $this->_redis->sMembers('_ci_redis_serialized'); if ( ! empty($serialized)) { $this->_serialized = array_flip($serialized); } return TRUE; } public function __destruct() { if ($this->_redis) { $this->_redis->close(); } } } 